.content {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 11.4rem 1fr;

    grid-template-areas: 
    'header'
    'container';
}

header {
    grid-area: header;
}

main {
    grid-area: container;

    display: flex;
    align-items: center;
    /*O recomendado no curso é usar margin-top: -12rem; No navegado firefox, O texto do main ficou alinhado com a figura nessa configuração na data: 21/10/2021.*/
}

main .container {
    width: min(36.3rem, 60%);
    margin: 0rem auto;
}

main.marginCreatePass { /* Caso não use, o conteúdo ficaria em uma altura desconfortável, caso colocasse para todos iria dar problema no index.html, lá ficou alto, aqui, ao aumentar a tela no eixo y, o conteúdo desce.*/
     margin-top: -12rem;
}

main h2 {
    font-family: 'Poppins', sans-serif;
    color: var(--black);
    font-size: clamp(20px, 5vw, 2.8rem);
}

.headerLogin {
    display: flex;
    gap: 2rem;
    justify-content: center;
    align-items: center;

    margin-bottom: 2.4rem;
}

.headerLogin img {
    margin-right: 1rem;
    width: 3rem;
}

input {
    border: .2rem solid var(--grey-blue);
    padding: 0 1.6rem;
    outline: none;
}

/* Tirar as setinhas do botão*/
input[type=number]::-webkit-inner-spin-button { 
    -webkit-appearance: none;
    
}
input[type=number] { 
   -moz-appearance: textfield;
   appearance: textfield;

}

input, button, .button {
    width: 100%;
    margin-bottom: 1.8rem;
}

.container p {
    color: var(--grey-blue);
    font-family: 'Poppins', sans-serif;
    /* font-weight: 400; */
}

.separator {
    display: flex;
    align-items: center;

    margin: 4rem 0;
}

.separator div:nth-child(2) {
    color: var(--grey-blue);
    font-family: 'Poppins', sans-serif;
    font-weight: 400;

    padding: 0 1.35rem;

    line-height: 0;
}

.separator div:nth-child(1), .separator div:nth-child(3){
    background: var(--grey-blue);
    width: 100%;
    height: 1px;
}
